Skip to main content
POST
Export Submissions (CSV)

Export Submissions (CSV)

Export submissions for a form as a CSV file. Large exports are processed asynchronously in the background, while smaller exports are processed immediately.

Authentication & Scope

Requires forms-read ability.

Request

Path Parameters

Body Parameters

Example payload exporting two fields and the created_at timestamp:

Response

The API automatically determines whether to process the export synchronously or asynchronously based on the form size.

Synchronous Export (Small Forms)

200 OK – Returns a CSV file download immediately. The response’s Content-Type will be text/csv and include the Content-Disposition header.

Asynchronous Export (Large Forms)

200 OK – Returns a job status object for background processing:
Use the job_id to check export progress using the Export Status endpoint.

Error Responses

403 Forbidden – The token lacks forms-read or you don’t have access.

Authorizations

Authorization
string
header
required

Personal Access Token

Path Parameters

id
number
required

Body

application/json
columns
object
required

Object mapping field IDs, system columns, or namespaced attribution columns (for example meta.attribution.utm_source) to booleans.

Response

Synchronous export (CSV file) or asynchronous export (job status)

CSV file download for small forms